Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.client.security
Interface Realm

    public interface Realm

Simple security realm interface.

Method Summary
`String` | `getCredentials()`
`String` | `getId()`
`String` | `getPrincipal()`

Method Detail

### getId

    String getId()

### getPrincipal

    String getPrincipal()

### getCredentials

    String getCredentials()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.